# $Revision: 1.9 $, $Date: 2011/02/11 12:41:15 $
Summary:	Emacs Speaks Statistics add-on package for Emacs
Summary(pl.UTF-8):	Dodatek Emacs Speaks Statistics dla Emacsa - obsługa pakietów statystycznych
Name:		emacs-ess
Version:	5.13
Release:	1
License:	GPL
Group:		Applications/Editors
Source0:	http://ESS.R-project.org/downloads/ess/ess-%{version}.tgz
# Source0-md5:	f97e66a0802773ead5abe4c3dc89feca
URL:		http://ESS.R-project.org/
BuildRequires:	emacs
Requires:	emacs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Emacs Speaks Statistics (ESS), which provides
Emacs-based front ends for popular statistics packages.

ESS provides an intelligent, consistent interface between the user and
the software. ESS interfaces with S-PLUS, R, SAS, BUGS and other
statistical analysis packages under the Unix, Microsoft Windows, and
Apple Mac OS operating systems. ESS is a package for the GNU Emacs and
XEmacs text editors whose features ESS uses to streamline the creation
and use of statistical software. ESS knows the syntax and grammar of
statistical analysis packages and provides consistent display and
editing features based on that knowledge. ESS assists in interactive
and batch execution of statements written in these statistical
analysis languages.

%description -l pl.UTF-8
Ten pakiet zawiera ESS (Emacs Speaks Statistics), dostarczający oparte
na Emacsie frontendy dla popularnych pakietów statystycznych.

ESS dostarcza inteligentny, spójny interfejs pomiędzy użytkownikiem i
oprogramowaniem. ESS współpracuje z S-PLUS, R, SAS, BUGS i innymi
pakietami do analiz statystycznych dla uniksów oraz systemów Microsoft
Windows i Apple Mac OS. ESS to pakiet dla edytorów tekstu GNU Emacs i
XEmacs, których możliwości wykorzystuje ESS przy kształtowaniu
tworzenia i używania programów statystycznych. ESS zna składnie i
gramatyki pakietów do analiz statystycznych i w oparciu o tę wiedzę
udostępnia spójne możliwości wyświetlania i edycji. ESS pomaga w
interaktywnym i wsadowym wykonywaniu instrukcji zapisanych w tych
językach analizy statystycznej.

%prep
%setup -q -n ess-%{version}
cd doc
chmod u+w html info # fix perms to ensure builddir can be deleted

%build
%{__make}

# create an init file that is loaded when a user starts up emacs to
# tell emacs to autoload our package's Emacs code when needed
cat > %{name}-init.el <<"EOF"
;;; Set up %{name} for Emacs.
;;;
;;; This file is automatically loaded by emacs's site-start.el
;;; when you start a new emacs session.

(require 'ess-site)

EOF

# create a README.RPM file to document any quirks of this package
cat > README.RPM <<EOF
README for %{name}-%{version}-%{release} RPM package

Generally, there will be no need to modify your .emacs file in order
to use the features of this package -- they are enabled by default
when you start Emacs.

Cheers,
Tom

--
Tom Moertel <tom-rpms@moertel.com>
EOF

%install
rm -rf $RPM_BUILD_ROOT

INITDIR=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d
PKGLISP=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name}-%{version}
INFODIR=$RPM_BUILD_ROOT%{_infodir}
install -D %{name}-init.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d/%{name}-init.el
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_infodir}
%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LISPDIR=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name}-%{version} \
	INFODIR=$RPM_BUILD_ROOT%{_infodir}
cp -a etc $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name}-%{version}

install %{name}-init.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ANNOUNCE ChangeLog README README.RPM doc/{NEWS,TODO,*.jpg,*.pdf,name-completion.txt,html}
%dir %{_datadir}/emacs/site-lisp/%{name}-%{version}
%{_datadir}/emacs/site-lisp/%{name}-%{version}/*
%{_datadir}/emacs/site-lisp/site-start.d/*
%{_infodir}/ess*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: emacs-ess.spec,v $
Revision 1.9  2011/02/11 12:41:15  baggins
- 5.13

Revision 1.8  2008/01/24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.7  2007-02-12 21:23:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.5  2006/08/12 09:20:40  ankry
- formatting

Revision 1.4  2005/03/18 19:00:45  qboosh
- revised doc

Revision 1.3  2005/03/18 18:56:13  qboosh
- pl, unified

Revision 1.2  2005/03/17 15:16:09  baggins
- BR emacs

Revision 1.1  2005/03/17 15:09:29  baggins
- initial PLD revision
